[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TReadWriteStringPropertyEvent

Callback for the TReader.OnReadStringProperty event handler

## Declaration

Source position: classesh.inc line 1205

`type TReadWriteStringPropertyEvent = procedure(`
`Sender: TObject;`
`const Instance: TPersistent;`
`PropInfo: PPropInfo;`
`var Content: string`
`) of object;`

## Description

TReadWriteStringPropertyEvent is the prototype for the TReader.OnReadStringProperty event handler. Reader is the sender of the event, Instance is the instance that is being streamed. PropInfo is a pointer to the RTTI information for the property being read. Content is the string as it was read from the stream.

## See also

TReader.OnReadStringProperty |  | Handler for translating strings when read from the stream.

Documentation generated on: Feb 26 2014